From b1772c4b950bfac928aef06cebbb6a538c5c2c55 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 27 Apr 2009 12:03:02 -0400
Subject: [PATCH] Disable objc, tests and cloog from the build.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 gcc.spec |   23 +++++++++++++++++++++--
 1 files changed, 21 insertions(+), 2 deletions(-)

diff --git a/gcc.spec b/gcc.spec
index 9d5eba0..9ea4de9 100644
--- a/gcc.spec
+++ b/gcc.spec
@@ -7,13 +7,20 @@
 %define _unpackaged_files_terminate_build 0
 %define multilib_64_archs sparc64 ppc64 s390x x86_64
 %define include_gappletviewer 1
+%define build_objc 1
+%define run_tests 1
 %ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha
 %define build_ada 1
 %else
 %define build_ada 0
 %endif
 %define build_java 1
-%ifarch %{sparc}
+%ifarch %{arm}
+%define build_java 0
+%define build_objc 0
+%define run_tests 0
+%endif
+%ifarch %{sparc} %{arm}
 %define build_cloog 0
 %else
 %define build_cloog 1
@@ -40,7 +47,7 @@
 Summary: Various compilers (C, C++, Objective-C, Java, ...)
 Name: gcc
 Version: %{gcc_version}
-Release: %{gcc_release}.fa1
+Release: %{gcc_release}.fa2
 # libgcc, libgfortran, libmudflap, libgomp, libstdc++ and crtstuff have
 # GCC Runtime Exception.
 License: GPLv3+, GPLv3+ with exceptions and GPLv2+ with exceptions
@@ -659,6 +666,7 @@ CC="$CC" CFLAGS="$OPT_FLAGS" CXXFLAGS="`echo $OPT_FLAGS | sed 's/ -Wall / /g'`"
 #GCJFLAGS="$OPT_FLAGS" make %{?_smp_mflags} BOOT_CFLAGS="$OPT_FLAGS" bootstrap
 GCJFLAGS="$OPT_FLAGS" make %{?_smp_mflags} BOOT_CFLAGS="$OPT_FLAGS" profiledbootstrap
 
+%if %{run_tests}
 # run the tests.
 make %{?_smp_mflags} -k check ALT_CC_UNDER_TEST=gcc ALT_CXX_UNDER_TEST=g++ RUNTESTFLAGS="--target_board=unix/'{,-fstack-protector}'" || :
 echo ====================TESTING=========================
@@ -671,6 +679,7 @@ done
 tar cf - testlogs-%{_target_platform}-%{version}-%{release} | bzip2 -9c \
   | uuencode testlogs-%{_target_platform}.tar.bz2 || :
 rm -rf testlogs-%{_target_platform}-%{version}-%{release}
+%endif
 
 # Make protoize
 make -C gcc CC="./xgcc -B ./ -O2" proto
@@ -937,7 +946,9 @@ mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgcj_bc.so $FULLLPATH/
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libstdc++.*a $FULLLPATH/
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libsupc++.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortran.*a .
+%if %{build_objc}
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libobjc.*a .
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgomp.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libmudflap{,th}.*a $FULLLPATH/
 
@@ -999,7 +1010,9 @@ ln -sf ../lib64/libgcj_bc.so 64/libgcj_bc.so
 %endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libsupc++.*a 64/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgfortran.*a 64/
+%if %{build_objc}
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libobjc.*a 64/
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgomp.*a 64/
 ln -sf lib32/libstdc++.a libstdc++.a
 ln -sf ../lib64/libstdc++.a 64/libstdc++.a
@@ -1032,7 +1045,9 @@ ln -sf ../`echo ../../../../lib64/libgij.so.10.* | sed s~/../lib64/~/~` 32/libgi
 %endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libsupc++.*a 32/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgfortran.*a 32/
+%if %{build_objc}
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libobjc.*a 32/
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgomp.*a 32/
 %endif
 %ifarch sparc64 ppc64
@@ -1075,7 +1090,9 @@ popd
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortran.so.3.*
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgomp.so.1.*
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libmudflap{,th}.so.0.*
+%if %{build_objc}
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libobjc.so.2.*
+%endif
 
 %if %{build_ada}
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgnarl*so*
@@ -1488,6 +1505,7 @@ fi
 %doc rpm.doc/libstdc++-v3/html
 %endif
 
+%if %{build_objc}
 %files objc
 %defattr(-,root,root)
 %dir %{_prefix}/lib/gcc
@@ -1524,6 +1542,7 @@ fi
 %files -n libobjc
 %defattr(-,root,root)
 %{_prefix}/%{_lib}/libobjc.so.2*
+%endif
 
 %files gfortran
 %defattr(-,root,root)
-- 
1.5.5.6

